export interface AngularPollChannel {
    create(scope: { '$on': Function },
           requester: (boolean) => void, // function that receives a callback to continue or halt polling
           opt_sleeptime?: number
    ): PollHandle,
}

export interface PollHandle {
    start(opt_skipFirstCall?: boolean): void,
    stop(): void,
    setSleepTime(sleepTime: number): void,
}
